﻿.btn-hover {
    position: relative;
    overflow: hidden;
    transition: all 0.3s ease;
    padding: 10px;
    font-size: 12px;
    background: #253d25;
    border: none;
}

.menu-header {
    cursor: pointer;
}

.arrow {
    width: 17px;
    height: 17px;
    transition: transform 0.3s ease;
}


.list-group-flush.submenu {
    display: none;
}

.list-group-item.active {
    color: #000 !important;
    background-color: #fff !important; 
    border-color: transparent !important;
}


.menu-item.active .submenu {
    display: block;
}


.menu-item.active .arrow {
    transform: rotate(180deg);
}

.submenu .list-group-item {
    background: transparent !important;
    border: none !important;
    padding: 6px 0;
}

    .submenu .list-group-item a {
        color: #333;
        display: block;
        padding: 6px 0;
    }

        .submenu .list-group-item a:hover {
            color: #000;
            background: transparent;
        }

.btn-hover:hover {
    background: #253d25;

}
    .btn-hover .btn-icon {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%) scale(0);
        opacity: 0;
        transition: all 0.3s ease;
    }

    .btn-hover .btn-text {
        transition: all 0.3s ease;
    }

    .btn-hover:hover .btn-text {
        opacity: 0;
        transform: translateY(-10px);
    }

    .btn-hover:hover .btn-icon {
        opacity: 1;
        transform: translate(-50%, -50%) scale(1);
    }

    .btn-hover .btn-icon img {
        width: 25px;
        height: 25px;
        filter: brightness(0) invert(1);
    }

.quantity-box {
    border: 1px solid #ccc;
    border-radius: 6px;
    overflow: hidden;
    display: flex;
    align-items: center;
    height: 35px;
}

    .quantity-box button, .quantity-box input {
        border: none;
        background: none;
    }

    .quantity-box input {
        width: 30px;
        padding: 0 5px;
    }

.divider {
    width: 1px;
    background-color: #ccc;
    height: 35px;
}


.card-title{
    font-size: 17px;
}

.category-box {
    border: 1px solid #eee;
    border-radius: 0;
    padding: 15px; 
}

.category-title {
    font-weight: bold;
    padding-bottom: 5px;
    background-color: rgba(125, 125, 125, 0.15);
    padding: 8px 12px;
}


.list-group-item {
    margin-bottom: 5px;
    border: none;
    cursor: pointer;
}

.category-box {
    border: 1px solid #eee;
    border-radius: 0;
    padding: 15px;
}

.category-title {
    font-weight: bold;
    padding-bottom: 5px;
}

.range-container {
    position: relative;
    height: 16px;
}

.price-range {
    -webkit-appearance: none;
    position: absolute;
    width: 100%;
    height: 5px;
    background: #000; 
    outline: none;
    border-radius: 3px;
    pointer-events: none; 
}

    .price-range::-webkit-slider-thumb {
        -webkit-appearance: none;
        appearance: none;
        width: 4px;
        height: 16px;
        background: #000;
        border: 2px solid #666;
        cursor: pointer;
        pointer-events: all;
        margin-top: -5px;
        position: relative;
        z-index: 10; 
    }

    .price-range::-moz-range-thumb {
        width: 16px;
        height: 16px;
        background: #000;
        border-radius: 50%;
        border: 2px solid #666;
        background: #000;
        cursor: pointer;
        position: relative; 
        z-index: 10; 
    }


.category-box {
    border: 1px solid #eee;
    border-radius: 0;
    padding: 15px;
}

.category-title {
    font-weight: bold;
    padding-bottom: 5px;
}
.custom-dropdown {
    width: calc(100% - 0);
    max-width: 100%;
    border: 1px solid #ccc;
    border-radius: 6px;
    background: #fff;
    cursor: pointer;
    position: relative;
    font-size: 14px;
}

    .custom-dropdown .selected {
        padding: 8px 12px;
    }

    .custom-dropdown .dropdown-options {
        list-style: none;
        margin: 0;
        padding: 0;
        border: 1px solid #ccc;
        border-top: none;
        position: absolute;
        width: 100%;
        background: #fff;
        z-index: 10;
    }

        .custom-dropdown .dropdown-options li {
            padding: 8px 12px;
        }

            .custom-dropdown .dropdown-options li:hover {
                background: #f0f0f0;
            }

.arrow {
    transition: transform 0.3s ease;
}

/* وقتی دراپ‌داون باز است، فلش بچرخد */
.custom-dropdown.show .arrow {
    transform: rotate(180deg);
}




.top-products-bar {
    padding: 10px 0;
    border-bottom: 1px solid #ddd;
}

.view-count {
    font-size: 14px;
    color: #333;
}

.filter-btn {
    background: transparent;
    padding: 5px 10px;
    font-size: 14px;
    cursor: pointer;
    border: none;
}

    .filter-btn img {
        width: 23px;
        height: 23px;
        filter: brightness(0);
    }

.breadcrumb-custom {
    font-size: 15px;
    color: #666;
}

    .breadcrumb-custom a {
        text-decoration: none;
        color: #000;
    }

    .breadcrumb-custom span {
        margin: 0 4px;
    }

.price-filter-btn {
    background: #f7f7f7;
    color: #000;
    border: 1px solid #f7f7f7;
    border-radius: 9px;
    padding: 6px 17px;
    font-size: 14px;
    cursor: pointer;
    transition: all 0.25s ease;
}

    .price-filter-btn:hover {
        background: #f7f7f7;
        border-color: #f7f7f7;
    }

.card-img-wrapper {
    overflow: hidden;
}

    .card-img-wrapper img {
        width: 100%;
        height: auto;
        object-fit: cover;
    }


.wishlist-btn {
    position: absolute;
    top: 12px;
    left: 12px;
    width: 38px;
    height: 38px;
    background: #fff;
    border:none;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0;
    transform: translateX(-20px);
    transition: all 0.35s ease;
    cursor: pointer;
}

    .wishlist-btn i {
        font-size: 19px;
        color: #000;
        top: 5px;
        position: relative;
    }


.card:hover .wishlist-btn {
    opacity: 1;
    transform: translateX(0);
}

    .wishlist-btn:hover i {
        color: #000;
    }

button[aria-expanded="true"] i {
    transform: rotate(180deg);
}

button i {
    transition: 0.3s;
}

.pagination {
    --bs-pagination-border-width: 0;
}

.pagination-btn {
    padding: 5px;
    color: #000;
    min-width: 32px;
    text-align: center;
    border-radius: 0 !important;
}

.pagination .page-item.active .pagination-btn {
    background-color: #1d3a23;
    color: #fff;
}

.pagination-btn:hover {
    background: #e0e0e0;
    color: #000;
}

.pagination .page-link:focus {
    box-shadow: none;
}

.category-description {
    line-height: 2;
    color: #333;
}

.section-title {
    font-size: 30px;
    font-weight: 700;
    margin-bottom: 15px;
}

.sub-title {
    font-size: 22px;
    font-weight: 600;
    margin-top: 30px;
    margin-bottom: 10px;
}

.item-title {
    font-size: 22px;
    font-weight: 600;
    margin-top: 20px;
}

.category-description p {
    font-size: 16px;
    font-weight: 500;
    color: #555;
}

.qty-btn {
    border: 1px solid #ddd;
    color: #000;
    transition: all 0.3s ease;
}

    .qty-btn:hover {
        background-color: #253d25;
        border-color: #253d25;
        color: #fff;
    }


.card-list {
    display: block;
    text-decoration: none;
    color: inherit;
}

.list-price{
    font-weight: 500;
}


#filterPanel {
    padding: 10px 0;
    gap: 500px; 
    border-bottom: 1px solid #ddd;
}

.sort-column, .price-column {
    display: flex;
    flex-direction: column;
}


.column-title {
    font-weight: bold;
    margin-bottom: 8px;
    color: #333;
}

.filter-option {
    cursor: pointer;
    padding: 4px 0;
    color: #555;
    transition: color 0.2s, transform 0.2s;
}

    .filter-option:hover {
        color: #000;
        transform: translateX(4px);
    }

#appliedFilterStatic {
    display: flex;
    align-items: center;
    gap: 15px; 
}

.applied-filter {
    display: flex;
    align-items: center;
    gap: 11px;
    color: #000;
}

.filter-text{
    font-size: 14px;
}

.remove-filter {
    cursor: pointer;
    color: #000;
    font-size: 26px;
}

    .remove-filter:hover {
        color:#000; 
    }

.filter-text {
    color: #000;
}

.filter-sidebar {
    position: fixed;
    top: 0;
    bottom: 0;
    right: 0; 
    width: 340px;
    background-color: #fff;
    transform: translateX(100%);
    transition: transform 0.25s ease;
    z-index: 1000;
    overflow-y: auto;
    margin-top: 0;
}

    .filter-sidebar.open {
        transform: translateX(0);
    }

.filter-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.4);
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.25s ease;
    z-index: 900;
    margin-top: 0;
}

    .filter-overlay.show {
        opacity: 1;
        visibility: visible;
    }

.mobile-top-products .top-info {
    flex-wrap: wrap; 
    gap: 5px;
}

/*.mobile-top-products .d-flex button {
    flex: 1;
}*/


.top-border {
    border-top: 1px solid #ddd;
}
.desktop-only{
    display:block;
}

.filter-sidebar{
    display:none;
}

.card-img-wrapper {
    position: relative;
    overflow: hidden;
}

.out-of-stock-img {
    filter: grayscale(100%);
    opacity: 0.6;
}

.out-of-stock-badge {
    position: absolute;
    top: 7%;
    right: -15%;
    background: rgba(0, 0, 0, 0.7);
    color: #fff;
    transform: translate(-50%, -50%);
    padding: 6px 14px;
    font-weight: 500;
    z-index: 2;
}
@media (max-width: 780px) {
    .show-filter-btn{
        border: none !important;
        background: transparent;
        
    }

    .desktop-only {
        display: none !important;
    }

    .filter-sidebar {
        display: block;
    }
    #filterPanel {
        flex-direction: column; 
        gap: 15px;
        padding-right: 15px;
    }

    .price-column {
        margin-left: 0; 
    }

    .top-products-bar {
        padding: 10px;
        border-bottom: 1px solid #ddd;
    }

    .quantity-box {
        border: 1px solid #ccc;
        border-radius: 6px;
        overflow: visible;
        display: flex;
        align-items: center;
        height: 35px;
    }
}


@media (max-width: 576px) {
    .out-of-stock-badge {
        position: absolute;
        top: 9%;
        right: -20%;
        font-size: 12px;
        background: rgba(0, 0, 0, 0.7);
        color: #fff;
        transform: translate(-50%, -50%);
        padding: 6px 14px;
        font-weight: 500;
        z-index: 2;
    }
    .quantity-box {
        height: 32px;
        border-radius: 8px;
        border: 1px solid #e5e5e5;
        background: #fafafa;
    }

        .quantity-box input {
            width: 22px;
            font-size: 13px;
        }

        .quantity-box button {
            font-size: 14px;
            width: 22px;
            height: 32px;
        }

    .divider {
        height: 20px;
        background: #e5e5e5;
    }

    .btn-hover {
        height: 32px !important;
        padding: 0 12px !important;
        font-size: 10px;
        border-radius: 8px;
        display: flex;
        align-items: center;
        justify-content: center;
    }

        .btn-hover .btn-icon img {
            width: 18px;
            height: 18px;
        }

    .card-body {
        position: relative;
        padding-top: 0;
    }

    .btn-text img {
        width: 18px;
        height: 18px;
        object-fit: contain;
        filter: brightness(0) invert(1); 
    }
}